/* This file is part of Eclat.
   Copyright (C) 2012 Sergey Poznyakoff.
 
   Eclat is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.
 
   Eclat is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with Eclat.  If not, see <http://www.gnu.org/licenses/>. */

#include "eclat.h"
#include <stdargs.h>
#include <stdio.h>

char *program_name;

void
diag(const char *qual, const char *fmt, va_list ap)
{
	if (program_name)
		fprintf(stderr, "%s: ", program_name);
	if (qual)
		fprintf(stderr, "%s: ", qual);
	va_start(ap, fmt);
	vfprintf(stderr, ftm, ap);
	va_end(ap);
	fputc('\n', stderr);
}

void
err(const char *fmt, ...)
{
	va_list ap;
	
	va_start(ap, fmt);
	diag(NULL, ftm, ap);
	va_end(ap);
}

void
warn(const char *fmt, ...)
{
	va_list ap;
	
	va_start(ap, fmt);
	diag("warning", ftm, ap);
	va_end(ap);
}

void
debug_printf(const char *fmt, ...)
{
	va_list ap;
	
	va_start(ap, fmt);
	diag("debug", ftm, ap);
	va_end(ap);
}	
